function clabelsmatrix=plotsettcircres(handles,datadim,datasizes,WTval,DecLevel,consmodes,coeffs)

iscirc=1;
if datasizes(1:2)=='51'
    circchk=1;
elseif datasizes(1:2)=='64'
    circchk=2;
end
csiz=size(coeffs{1});
axes(handles.mainframe2);
set(handles.radiobutton15,'Value',1);
[s,wt]=vsettings(datadim,datasizes,iscirc);
if iscell(WTval)
    WT2val = WTval{get(handles.popupmenu2,'Value')};
end
[clabels,clabelsmatrix]=coefftypes(datadim,WT2val,DecLevel,consmodes);
cla;
if circchk==1
    R=0.25;
elseif circchk==2
    R=0.5;
end
r=R/csiz(2):R/csiz(2):R;
phi=0:2*pi/(csiz(1)-1):2*pi;
[th,rq] = meshgrid(phi,r);
[X_1,Y_1,Z_1] = pol2cart(th,rq,coeffs{1}');
h = polar([0 2*pi], [0 R]);
delete(h)
hold on;
surf(X_1,Y_1,Z_1);
hold off;
shading interp;
set(findall(gca,'Type','patch'),'FaceColor','none');
axis xy;
nbcol=256; bright=0;
colormap(jet(nbcol));
set(handles.slider1,'Value',nbcol); set(handles.slider2,'Value',bright);
set(handles.edit8,'String',num2str(nbcol)); set(handles.edit9,'String',num2str(bright));
set(handles.popupmenu9,'Enable','on');
c=colorbar('location','southoutside');
cpos = get(c,'Position');
cpos=[0.546376811594203 0.083762149799886 0.435748792270531 0.5*cpos(4)];
set(c,'Position',cpos);
set(handles.mainframe2,'Position',[564 90 450 450]);
set(handles.popupmenu10,'String',s);
set(handles.popupmenu10,'Value',2);
%set(handles.popupmenu2,'String',wt);
%set(handles.popupmenu2,'Value',1);
xlimits=get(handles.mainframe2,'XLim');
set(handles.edit10,'String',num2str(xlimits(1)));
set(handles.edit11,'String',num2str(xlimits(2)));
ylimits=get(handles.mainframe2,'YLim');
set(handles.edit12,'String',num2str(ylimits(1)));
set(handles.edit13,'String',num2str(ylimits(2)));
zlimits=get(handles.mainframe2,'ZLim');
set(handles.edit14,'String',num2str(zlimits(1)));
set(handles.edit15,'String',num2str(zlimits(2)));
set(handles.checkbox20,'Value',1);
set(handles.popupmenu6,'String',clabels);
set(handles.popupmenu6,'Value',1);
